package com.sundot.airport.ledger.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerHealthSoldier;
import com.sundot.airport.ledger.mapper.LedgerHealthSoldierMapper;
import com.sundot.airport.ledger.service.ILedgerHealthSoldierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class LedgerHealthSoldierServiceImpl extends ServiceImpl<LedgerHealthSoldierMapper, LedgerHealthSoldier>
        implements ILedgerHealthSoldierService {

    @Autowired
    private LedgerHealthSoldierMapper mapper;

    @Override
    public List<LedgerHealthSoldier> selectList(LedgerHealthSoldier query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerHealthSoldier> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }
}
